package com.org.hktshop.service.encapsulation;

import com.org.hktshop.entity.Page;
import com.org.hktshop.entity.encapsulation.FcBrand;

import java.util.List;

public interface FcBrandService {

    void saveFcBrand(FcBrand fcBrand);

    void deleteFcBrand(String id);

    void updateFcBrand(FcBrand fcBrand);

    FcBrand getFcBrand(String id);

    Page<FcBrand> getFcBrandPage(FcBrand fcBrand);

    List<FcBrand> findAll();
}
